Lookup External Resources
Retrieve external resource value
Retrieve external resource value depending on provided value source type
Request
URI
POST
https://{api_host}/catalog/api/items/form/external-resources
COPY
Request Body
FormExtValueRequest
of type(s)
application/json
Required
{
"context": {
"context": {
"dataType": "string",
"value": "string"
}
},
"filter": "string",
"item": {
"description": "string",
"id": "string",
"label": "string",
"type": "string",
"value": "string"
},
"projectId": "string",
"valueSource": {
"externalSourceProviderType": "string",
"id": "string",
"isPageable": false,
"parameters": [
{
"$type": {
"dataType": "string",
"fields": [
{
"constraints": {
"constraints": {
"constraints": {}
},
"matchConstraint": {
"match": {}
}
},
"default": {},
"description": "string",
"id": "string",
"label": "string",
"placeholder": "string",
"refresh": {
"type": "string"
},
"shortValueName": [
"string"
],
"signpost": "string",
"step": "number",
"type": "FormSchemaFieldType Object",
"valueList": {},
"valueTree": {}
}
],
"isMultiple": false,
"referenceType": "string"
},
"parameterMap": {
"parameterMap": {}
}
}
],
"type": "string"
},
"valueType": {
"dataType": "string",
"fields": [
"ComplexTypeField Object"
],
"isMultiple": false,
"referenceType": "string"
}
}
object
context
Optional
context
string
filter
Optional
filter
object
item
Optional
item
string
projectId
Optional
projectId
object
valueSource
Optional
valueSource
object
valueType
Optional
valueType
Responses
200
'Success' with list of external resources matching search criteria
Returns
FormExtValueResponse
of type(s)
application/json
{
"error": "string",
"items": [
{}
],
"totalCount": 0
}
string
error
Optional
error
array of
object
items
Optional
items
integer As int32
As int32
totalCount
Optional
totalCount
400
'Bad Request' if external value request is in invalid format
Returns
FormExtValueResponse
of type(s)
application/json
{
"error": "string",
"items": [
{}
],
"totalCount": 0
}
string
error
Optional
error
array of
object
items
Optional
items
integer As int32
As int32
totalCount
Optional
totalCount
401
Unauthorized
Returns
FormExtValueResponse
of type(s)
application/json
"FormExtValueResponse Object"
string
error
Optional
error
array of
object
items
Optional
items
integer As int32
As int32
totalCount
Optional
totalCount
403
'Forbidden' no forms manage access rights
Returns
FormExtValueResponse
of type(s)
application/json
"FormExtValueResponse Object"
string
error
Optional
error
array of
object
items
Optional
items
integer As int32
As int32
totalCount
Optional
totalCount
404
Not Found
Returns
FormExtValueResponse
of type(s)
application/json
"FormExtValueResponse Object"
string
error
Optional
error
array of
object
items
Optional
items
integer As int32
As int32
totalCount
Optional
totalCount
Code Samples
COPY
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/catalog/api/items/form/external-resources